Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

Nishant_Rai
Community profile Nishant_Rai Level 2
Job title here
Location here
6 BADGES
Level 2

Level 2

Learn more
Joined the community 17-11-2016 10:47:16 PM
Offline
Top badges earned by Nishant_Rai
Customize the badges you want to showcase on your profile
Mapping with existing user not working in oAuth Custom authentication handler after upgrade
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
After upgrading from AEM 6.3 to AEM 6.5, my custom oAuth authentication is not working. The issue I found is oAUth handler is not able to map requested user with the user already present in CRX and returns "user not found" and authentication fails. Users I have migrated from AEM 6.3 to AEM 6.5.Also in AEM 6.3, my custom oAuth provider was using the default "sync handler" and "external login module" but after the upgrade, I can see separate sync handler and external login module created for my OA...

Views

187

Likes

0

Replies

0
ClientLibs not getting picked up from /etc/* after AEM 6.4 upgrade
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
ClientLibs (JS and CSS) of my project are not getting picked up from /etc/* after AEM 6.4 upgrade. It used to work on AEM 6.3. As soon as I move my clientlibs to /apps/* folder clientlibs are getting picked up. Also, I can't see generated libs within /var/clientlibs/*. It' empty.

Views

2.6K

Likes

0

Replies

4
Re: Custom JS and CSS not getting loaded after upgrade to AEM 6.4/6.5
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
Hi gauravb10066713 I already made the changes suggested by you but no luck as I am still facing the issue.

Views

573

Likes

0

Replies

0
Re: Custom JS and CSS not getting loaded after upgrade to AEM 6.4/6.5
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
thanks gauravb10066713 . I tried making changes you suggested but still my client JS and CSS not applying to my HTML page. I can't see their references in the generated HTML code. Here is the code (HTML, JSP and JS) I am sharing -HTML JCR code - /etc/localization/locprojectwizard/content THE JSP Code - /apps/workflowx/components/locprojectwizard/content/content.jsp<%-- ADOBE CONFIDENTIAL Copyright 2012 Adobe Systems Incorporated All Right -->...

Views

573

Likes

0

Replies

2
Custom JS and CSS not getting loaded after upgrade to AEM 6.4/6.5
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
Hi,After upgrading to AEM 6.4/6.5 my custom HTML pages are not rendering properly. I checked and found out my client libs are not getting loaded that used to get loaded in AEM 6.3.If you look the path below -/etc/localization/locprojectwizard/content/jcr:content/head/clientlibs , it is referring to slingReourceType to granite/ui/components/foundation/includeclientlibs. And this node got changed in AEM 6.4 as earlier it contained a jsp file and now it has rst file. I am not sure what is causing t...

Views

1.0K

Likes

0

Replies

4
Re: [AEM][6.4][Upgrade]- Java servlet can't register on fresh 6.4 install and are in satisfied state
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
Hi, thanks for the inputs.Some of the components having SRC annotation are in active state.Is there any way I can install my bundle that used to work on AEM 6.3 versions without any change as there are several servlets and it will take a lot to rework to incorporate the changes you suggested.

Views

767

Likes

0

Replies

0
[AEM][6.4][Upgrade]- Java servlet can't register on fresh 6.4 install and are in satisfied state
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
Hi Everyone,I've been dealing with a issue on a fresh AEM 6.5 install. Some of my servlets/services cannot start. It can register fine and shows up okay however, it always throws a 404 at the path its registered at.Has anyone ever seen? "Service factory returned null"29.01.2019 10:09:08.144 *ERROR* [FelixDispatchQueue] com.adobe.wcm.wf-gtp-localization FrameworkEvent ERROR (org.osgi.framework.ServiceException: Service factory returned null. (Component: com.adobe.wcm.apps.gtp.services.impl.Anuvaa...

Views

2.0K

Likes

0

Replies

4
Getting Error "extractCredentials: Cannot process OAuth continuation; application seems unconfigured" after upgrading to AEM 6.4
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
Hi I am currently using custom oAuth authentication in our AEM server. It used to work in AEM 6.3 but after upgrading to AEM 6.4 I am getting "extractCredentials: Cannot process OAuth continuation; application seems unconfigured" error. Please help solve this issue.Also in AEM 6.3 I can see "Adobe Granite oAuth Provider" config but in 6.4 it's missing.

Views

257

Likes

0

Replies

1
Way export/import i18n dictionaries using scripts.(curl, wge, http)
Avatar
Give Back 3
Level 2
Nishant_Rai
Level 2

Likes

0 likes

Total Posts

9 posts

Correct reply

0 solutions
Top badges earned
Give Back 3
Give Back
Ignite 5
Ignite 3
Ignite 1
View profile
Nishant_Rai
- Adobe Experience Manager
Hi,I am looking for a way to export/import i18n dictionaries using curl or wget or http request. I want to automate translation process so that I can translate dictionaries externally.

Views

149

Likes

0

Replies

0